koules (1.4-29) unstable; urgency=medium

  * Fix function declarations to compile as C23. Closes: #1097090.
  * Remove the old FSF address from debian/copyright.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 08 Sep 2025 20:35:22 +0200

koules (1.4-28) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

 -- Stephen Kitt <skitt@debian.org>  Sun, 11 Dec 2022 21:13:43 +0100

koules (1.4-27) unstable; urgency=medium

  * Ensure variables are only declared once. Closes: #957409.
  * Standards-Version 4.5.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 May 2020 17:40:35 +0200

koules (1.4-26) unstable; urgency=medium

  * Avoid building libutils.a and libxlib.a twice. Building them twice
    caused the build to be racy, since the first step in their build is to
    delete them (so one build would start building, the second would
    delete the output, causing the first to fail). Closes: #882293.
  * Recommend xfonts-base since Koules needs the schumacher fonts.
    Closes: #941408.
  * Set “Rules-Requires-Root: no”.
  * Switch to secure URLs.
  * Switch to debhelper compatibility level 12.
  * Standards-Version 4.4.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 02 Oct 2019 09:01:25 +0200

koules (1.4-25) unstable; urgency=medium

  * Migrate to Salsa.
  * Switch to debhelper compatibility level 11.
  * Update debian/copyright.
  * Drop Sam and Barry from uploaders, they haven’t been active in a
    long time.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 09 May 2018 12:58:37 +0200

koules (1.4-24) unstable; urgency=medium

  * Switch to https: VCS URIs (see #810378).
  * Switch to debhelper compatibility level 10.
  * Drop old menu support.
  * Drop obsolete postinst and prerm, they dealt with the /usr/share/doc
    migration.
  * Update spelling fixes.
  * Use short dh style.
  * Clean up debian/control using cme.
  * Standards-Version 4.1.0, no further change required.
  * Drop obsolete sharutils build-dependency.
  * Drop obsolete 200_tcl.diff.

 -- Stephen Kitt <skitt@debian.org>  Wed, 20 Sep 2017 13:17:32 +0200

koules (1.4-23) unstable; urgency=medium

  * Fix a couple of spelling mistakes, thanks to Raphael Geissert for
    the patch (Closes: #772493).
  * Standards-Version 3.9.6, no change required.
  * Rewrite debian/copyright in DEP-5 format.
  * Refresh patches.

 -- Stephen Kitt <skitt@debian.org>  Sat, 02 May 2015 18:01:16 +0200

koules (1.4-22) unstable; urgency=medium

  * Specify that "control" (in the koules source) is unsigned; thanks to
    Michael Tautschnig for pointing our the issue (Closes: #749207).

 -- Stephen Kitt <skitt@debian.org>  Tue, 08 Jul 2014 08:14:09 +0200

koules (1.4-21) unstable; urgency=low

  [ Alexander Reichle-Schmehl ]
  * Removed myself from uploaders.

  [ Stephen Kitt ]
  * Sound isn't supported on hurd, handle the missing sound files
    correctly to enable building there.
  * Move packaging to git.
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 17 May 2014 15:38:56 +0200

koules (1.4-20) unstable; urgency=low

  * Font data is unsigned (Closes: #688658).
  * Switch to my Debian address.
  * Use canonical VCS URIs.
  * Switch to debhelper compatibility level 9 and enable hardening.
  * Use dh_prep rather than "dh_clean -k".
  * Standards-Version 3.9.4, no change required.
  * koules only works with OSS audio, so recommend oss-compat.

 -- Stephen Kitt <skitt@debian.org>  Tue, 07 May 2013 08:12:49 +0200

koules (1.4-19) unstable; urgency=low

  [ Paul Wise ]
  * Drop dh_desktop.

  [ Sam Hocevar ]
  * Update email address.

  [ Stephen Kitt ]
  * Add myself to uploaders.
  * Remove tcl/tk recommends (Closes: #563267).
  * Switch to source format "3.0 (quilt)":
    - drop quilt build-dependency;
    - ship koules.png as a binary.
  * Add build-indep and build-arch targets.
  * Use dh_install and dh_link parameter files.
  * Fix a few spelling mistakes.
  * Correct minus signs in the manpage.
  * Standards-Version 3.9.2, no further change required.
  * Add patch descriptions.
  * Use GPL-2 link in debian/copyright.

 -- Stephen Kitt <steve@sk2.org>  Thu, 12 Jan 2012 00:05:22 +0100

koules (1.4-18) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Remove deprecated Encoding key from .desktop file
  * Build-depend on xutils-dev for xmkmf (Closes: #485207)

  [ Alexander Reichle-Schmehl ]
  * Adopt debian/control to my new name

  [ Barry deFreese ]
  * Update my e-mail address.
  * Fix some minor syntax issues in debian/copyright.
  * Remove deprecated xutils build dependency.
  * Remove deprecated FilePattern from .desktop file.
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Tue, 17 Mar 2009 21:14:37 -0400

koules (1.4-17) unstable; urgency=low

  [ Cyril Brulebois ]
  * Added Vcs-Svn and Vcs-Browser fields in the control file.

  [ Gonéri Le Bouder ]
  * remove ./xkoules.man during the clean to be able to do two build in a row
    * (Closes: #424462)
  * remove the dh-make header in the debian/rules

  [ Barry deFreese ]
  * Add watch file
  * Change long description to not include short description.
  * Add homepage field in control
  * 107_fix_xsynchronize.diff (Closes: #412056)
    * Handle ARGB visuals properly
  * 108_use_right_visual.diff
    * Handle -y option
  * Thanks to Peter De Wachter for the patches
  * 109_fpe_fix.diff (Closes: #269840)
    * Fixes floating point exceptions
    * Thanks to Steffen Pingel for the patch
  * Add myself to uploaders

 -- Barry deFreese <bddebian@comcast.net>  Wed, 05 Dec 2007 13:16:56 -0500

koules (1.4-16) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * remove Applications from Categorie in the desktop file since it's not
    an official categorie
  * add patch by Auriel Jarno to fix the build on kFreeBSD (#413511)
  * .desktop: french translation

  [ Jon Dowland ]
  * update menu section to "Games/Action" for menu policy transition.
    Thanks Linas Žvirblis.

 -- Alexander Schmehl <tolimar@debian.org>  Sun, 29 Jul 2007 20:45:20 +0200

koules (1.4-15) unstable; urgency=high

  * Use quilt for patch management.

  * debian/control:
    + Uncapitalised short description and add the word "abstract" to it.
    + Slightly reworded long description.
    + Build-depend on quilt.
    + Added myself to the uploaders.

  * debian/patches/000_build_rules.diff:
    + New patch from old diff: add proper build rules.
  * debian/patches/050_defines.diff:
    + New patch from old diff: set compile-time paths and features.
  * debian/patches/100_spelling.diff:
    + New patch from old diff: spelling fixes.
  * debian/patches/101_buffer_overflow.diff:
    + New patch from old diff: fix a buffer overflow in commandline
      handling.
  * debian/patches/102_includes.diff:
    + New patch from old diff: add missing headers.
    + Add missing <string.h> to xlib/text.c.
  * debian/patches/103_asm.diff:
    + New patch from old diff: fix asm syntax.
  * debian/patches/104_types.diff:
    + New patch from old diff: fix types to avoid crashes on 64-bit arches
      and on powerpc.
  * debian/patches/105_save_file.diff:
    + New patch from old diff: do not exit if the save file was not found.
  * debian/patches/200_tcl.diff:
    + New patch from old diff: fix paths in the tcl script and add a
      wrapper to warn about the missing interpreter.

  * debian/patches/106_shm_check.diff:
    + Fix MIT-SHM detection code for remote displays (Closes: #392983).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  3 Nov 2006 11:25:44 +0100

koules (1.4-14) unstable; urgency=low

  * The "It's not a script!  It's a space station!" release
  * Move arch dependend sound server binary from /usr/share/games/koules to
    /usr/lib/... (Closes: #386311)
    - created some symlinks for the soundfiles

 -- Alexander Schmehl <tolimar@debian.org>  Wed,  6 Sep 2006 21:54:19 +0200

koules (1.4-13) unstable; urgency=low

  * Finnally applying patch from Guus Sliepen to fix segfaults on 64-bit archs
    (Closes: #331719, 379470)
    Many thanks!

 -- Alexander Schmehl <tolimar@debian.org>  Fri, 18 Aug 2006 17:12:21 +0200

koules (1.4-12) unstable; urgency=low

  * New Maintainer (Closes: #353391)
  * Accepting previous NMUs by Amaya (Many thanks!) (Closes: #331719, #346960)
  * fixing menu Icon (Closes: #36709)
    - Thanks to David Kimdon for the patch!
  * fixing typo in game messages (Closes: #224228)
    - Thanks to Jeff Breidenbach for reporting and submiting a patch!
  * adding hints to menu file (Closes: #311027)
  * using debhelper for the package
    - tweaking standars version to 3.7.2 while doing so ;)
    - main difference:  Stuff is installed to /usr/share/games/koules not
      /usr/lib
  * installing manpage and koules symlink to xkoules manpage (Closes: #195243)
  * installing desktop file and icon

 -- Alexander Schmehl <tolimar@debian.org>  Fri, 18 Aug 2006 12:48:08 +0200

koules (1.4-11.2) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link in postinst (Closes: #331719).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 16 Jul 2006 22:08:17 +0200

koules (1.4-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Build-Dependency on xlibs-dev, now Build-depend on libx11-dev
    and libxext-dev (Closes: #346960).
  * Credit and Big Thanks to Nico Golde <nico@ngolde.de> for the patch and
    testing.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Wed, 18 Jan 2006 21:42:57 +0100

koules (1.4-11) unstable; urgency=low

  * Fix sndsrv issue on 'unsigned char' platforms (Closes: #181213)
  * Clean up a symlink in the clean target
  * Fix multi-line string literals

 -- Aaron Lehmann <aaronl@vitelus.com>  Sat, 01 Mar 2003 09:19:08 -0800

koules (1.4-10) unstable; urgency=low

  * Improve long description (Closes: #172535)

 -- Aaron Lehmann <aaronl@vitelus.com>  Sat, 11 Jan 2003 22:15:40 -0800

koules (1.4-9) unstable; urgency=low

  * xmkmf broke the build. Thanks Paul Slootman <paul@wurtel.net> for
    pointing it out and suggesting a workaround. No thanks to xmkmf for
    continuously breaking. Looking at making a normal makefile for the
    package.

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 20 Aug 2001 19:02:30 -0700

koules (1.4-8) unstable; urgency=low

  * Whoops. 1.4-6 added a symlink in a gravely incorrect way. Nobody
    noticed until 1.4-7 came out. Fixed by using ln -sf
    (Closes: #105809, #105817, #105855)
  * Fix implicit declaration of gettimeofday()

 -- Aaron Lehmann <aaronl@vitelus.com>  Thu, 19 Jul 2001 07:35:52 -0700

koules (1.4-7) unstable; urgency=low

  * Fix build on PA-RISC, thanks Josip Rodin (Closes: #104851)

 -- Aaron Lehmann <aaronl@vitelus.com>  Wed, 18 Jul 2001 05:48:29 -0700

koules (1.4-6) unstable; urgency=low

  * Add 'koules' as a symlink to xkoules. I imagine it's good practice to have an executable with the same name as the package.
  * Package koules.tcl as 'startkoules'. So, reccomend tcl8.3 and tk8.3 :(.

 -- Aaron Lehmann <aaronl@vitelus.com>  Sat, 23 Dec 2000 18:14:18 -0800

koules (1.4-5) unstable; urgency=high

  * Make the package removable!

 -- Aaron Lehmann <aaronl@vitelus.com>  Wed, 22 Nov 2000 13:31:10 -0800

koules (1.4-4) unstable; urgency=low

  * Applied patch to make it build with gcc295 from Colin Watson <cjw44@flatline.org.uk>

 -- Aaron Lehmann <aaronl@vitelus.com>  Tue, 21 Nov 2000 16:11:40 -0800

koules (1.4-3) unstable; urgency=low

  * Apply security fix to sound code

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 20 Nov 2000 21:37:07 -0800

koules (1.4-2) unstable; urgency=low

  * New maintainer
  * Fixed to compile under modern Debian, with the aid of gcc272
  * Added Build-Depends for X Windows libraries and utilities
  * Removed OS2 files from the installed documentation
  * Fixed Lintian errors:
    * Fixed path to GPL
    * Moved docs and manpages to /usr/share
    * Removed GPL from installed documentation
    * Manage doc symlink in postinst/prerm
    * Pass -isp option to dpkg-gencontrol to make it include Priority and Section info in binary package

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 20 Nov 2000 20:53:40 -0800

koules (1.4-1.2) frozen unstable; urgency=low

  * Non-mainatiner release.
  * Fixed menu icon path.

 -- Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>  Fri, 13 Mar 1998 14:07:12 +0100

koules (1.4-1.1) unstable; urgency=low

  * Non-mainatiner release.
  * Changed standard to 2.4.0.0 (because I don't have precognition).

 -- Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>  Fri, 13 Mar 1998 14:07:12 +0100

koules (1.4-1) unstable; urgency=low

  * Non-mainatiner release.
  * New upstream version, now free because upstream author rewrote parts of
    non-dfsg-compliant code.
  * Added icon and menu entry.
  * Changed standard to 2.4.0.1 (hopefully it is compliant ;)

 -- Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>  Thu, 12 Mar 1998 15:25:13 +0100

koules (1.3-2.1) unstable; urgency=low

  * Non-maintainer libc6 release.
  * rcfiles.c: include errno.h

 -- Joey Hess <joeyh@master.debian.org>  Sun, 16 Nov 1997 01:34:21 -0500

koules (1.3-2) contrib; urgency=low

  * Fixed bad version number (fixes #7372).
  * Added check for ENOENT when reading configuration files (fixes #5883).

 -- Klee Dienes <klee@debian.org>  Tue, 25 Feb 1997 13:35:53 -0500

koules (1.3-1) contrib; urgency=low

  * Updated to new upstream version (fixes #6865).
  * Minor packaging changes.

 -- Klee Dienes <klee@debian.org>  Sat, 8 Feb 1997 13:37:58 -0500

koules (1.2-3) contrib; urgency=low

  * Minor packaging changes.
  * Updated to use dpkg-shlibdeps.

 -- Klee Dienes <klee@debian.org>  Sat, 2 Nov 1996 22:07:33 -0700

koules (1.2-2) contrib; urgency=low

  * Upgraded to new packaging format.
  * Upgraded to new upstream version.

 -- Klee Dienes <klee@debian.org>  Wed, 4 Sep 1996 23:16:37 -0700

koules (1.2-1) contrib; urgency=low

  * Initial release.

 -- Klee Dienes <klee@debian.org>  Sat, 8 Jun 1996 13:41:53 -0700
